var index =
[
    [ "Overview", "index.html#Overview", [
      [ "Mathematical Background", "index.html#MATHBACKGROUND", null ],
      [ "Availability", "index.html#AVAILABILITY", null ],
      [ "Prerequisites", "index.html#PREREQUISITES", null ],
      [ "How to use Ipopt", "index.html#HOWTOUSE", null ],
      [ "More Information and Contributions", "index.html#MOREINFO", null ],
      [ "History of Ipopt", "index.html#HISTORY_IPOPT", null ],
      [ "History of this document", "index.html#HISTORY_DOC", null ]
    ] ],
    [ "Installing Ipopt", "INSTALL.html", [
      [ "Getting System Packages (Compilers, ...)", "INSTALL.html#SYSTEMPACKAGES", [
        [ "Linux distributions", "INSTALL.html#SYSTEMPACKAGES_LINUX", null ],
        [ "macOS", "INSTALL.html#SYSTEMPACKAGES_MAC", null ],
        [ "Windows with MSYS2/MinGW", "INSTALL.html#SYSTEMPACKAGES_MSYS", null ]
      ] ],
      [ "Download, build, and install dependencies", "INSTALL.html#EXTERNALCODE", [
        [ "ASL (Ampl Solver Library)", "INSTALL.html#EXTERNALCODE_ASL", null ],
        [ "BLAS and LAPACK", "INSTALL.html#EXTERNALCODE_LINALG", null ],
        [ "HSL (Harwell Subroutines Library)", "INSTALL.html#DOWNLOAD_HSL", [
          [ "Providing a HSL library at runtime", "INSTALL.html#LINEARSOLVERLOADER", null ]
        ] ],
        [ "MUMPS Linear Solver", "INSTALL.html#DOWNLOAD_MUMPS", null ],
        [ "Pardiso (Parallel Sparse Direct Linear Solver) from Pardiso Project", "INSTALL.html#DOWNLOAD_PARDISO", null ],
        [ "Pardiso from Intel MKL", "INSTALL.html#DOWNLOAD_PARDISOMKL", null ],
        [ "SPRAL (Sparse Parallel Robust Algorithms Library)", "INSTALL.html#DOWNLOAD_SPRAL", null ],
        [ "WSMP (Watson Sparse Matrix Package)", "INSTALL.html#DOWNLOAD_WSMP", null ]
      ] ],
      [ "Getting the Ipopt Code", "INSTALL.html#GETIPOPT", [
        [ "Getting the Ipopt code via git", "INSTALL.html#GETIPOPT_GIT", null ],
        [ "Getting the Ipopt code as a tarball", "INSTALL.html#GETIPOPT_TAR", null ]
      ] ],
      [ "Compiling and Installing Ipopt", "INSTALL.html#COMPILEINSTALL", [
        [ "Flags to configure", "INSTALL.html#CONFIGURE_FLAGS", null ],
        [ "Additional Flags for Compiler Preprocessor", "INSTALL.html#CPP_FLAGS", null ]
      ] ],
      [ "Using CoinBrew", "INSTALL.html#COINBREW", null ],
      [ "Compiling and Installing the R Interface ipoptr", "INSTALL.html#INSTALL_R", null ],
      [ "Building for single-precision floating-point arithmetic", "INSTALL.html#SINGLEPRECISION_BUILD", null ],
      [ "Building for 64-bit integers", "INSTALL.html#INT64_BUILD", null ]
    ] ],
    [ "Interfacing your NLP to Ipopt", "INTERFACES.html", [
      [ "Using Ipopt through AMPL", "INTERFACES.html#INTERFACE_AMPL", [
        [ "Using Ipopt from the command line", "INTERFACES.html#INTERFACE_AMPL_CL", null ]
      ] ],
      [ "Interfacing with Ipopt through code", "INTERFACES.html#INTERFACE_CODE", [
        [ "The C++ Interface", "INTERFACES.html#INTERFACE_CPP", [
          [ "Coding the Problem Representation", "INTERFACES.html#INTERFACE_CPP_NLP", null ],
          [ "Coding the Executable", "INTERFACES.html#INTERFACE_CPP_MAIN", null ],
          [ "Compiling and Testing the Example", "INTERFACES.html#INTERFACE_CPP_COMPILE", null ],
          [ "Additional methods in TNLP", "INTERFACES.html#INTERFACE_CPP_ADDITIONAL", null ]
        ] ],
        [ "The C Interface", "INTERFACES.html#INTERFACE_C", null ],
        [ "The Fortran Interface", "INTERFACES.html#INTERFACE_FORTRAN", null ],
        [ "The Java Interface JIpopt", "INTERFACES.html#INTERFACE_JAVA", null ],
        [ "The R Interface ipoptr", "INTERFACES.html#INTERFACE_R", null ]
      ] ]
    ] ],
    [ "Special Features", "SPECIALS.html", [
      [ "Derivative Checker", "SPECIALS.html#DERIVCHECK", null ],
      [ "Quasi-Newton Approximation of Second Derivatives", "SPECIALS.html#QUASI_NEWTON", null ],
      [ "Warm-Starting Capabilities via AMPL", "SPECIALS.html#AMPL_WARMSTART", null ],
      [ "sIpopt: Optimal Sensitivity Based on Ipopt", "SPECIALS.html#SIPOPT", null ],
      [ "Inertia-Free Curvature Test", "SPECIALS.html#INERTIAFREE_CURVTEST", null ]
    ] ],
    [ "Ipopt Options", "OPTIONS.html", [
      [ "Options in the AMPL Interface", "OPTIONS.html#OPTIONS_AMPL", null ],
      [ "Options Reference", "OPTIONS.html#OPTIONS_REF", [
        [ "Termination", "OPTIONS.html#OPT_Termination", null ],
        [ "Output", "OPTIONS.html#OPT_Output", null ],
        [ "NLP", "OPTIONS.html#OPT_NLP", null ],
        [ "NLP Scaling", "OPTIONS.html#OPT_NLP_Scaling", null ],
        [ "Initialization", "OPTIONS.html#OPT_Initialization", null ],
        [ "Warm Start", "OPTIONS.html#OPT_Warm_Start", null ],
        [ "Miscellaneous", "OPTIONS.html#OPT_Miscellaneous", null ],
        [ "Barrier Parameter Update", "OPTIONS.html#OPT_Barrier_Parameter_Update", null ],
        [ "Line Search", "OPTIONS.html#OPT_Line_Search", null ],
        [ "Linear Solver", "OPTIONS.html#OPT_Linear_Solver", null ],
        [ "Step Calculation", "OPTIONS.html#OPT_Step_Calculation", null ],
        [ "Restoration Phase", "OPTIONS.html#OPT_Restoration_Phase", null ],
        [ "Hessian Approximation", "OPTIONS.html#OPT_Hessian_Approximation", null ],
        [ "Derivative Checker", "OPTIONS.html#OPT_Derivative_Checker", null ],
        [ "MA27 Linear Solver", "OPTIONS.html#OPT_MA27_Linear_Solver", null ],
        [ "MA57 Linear Solver", "OPTIONS.html#OPT_MA57_Linear_Solver", null ],
        [ "MA77 Linear Solver", "OPTIONS.html#OPT_MA77_Linear_Solver", null ],
        [ "MA86 Linear Solver", "OPTIONS.html#OPT_MA86_Linear_Solver", null ],
        [ "MA97 Linear Solver", "OPTIONS.html#OPT_MA97_Linear_Solver", null ],
        [ "Pardiso (pardiso-project.org) Linear Solver", "OPTIONS.html#OPT_Pardiso__pardiso_project_org__Linear_Solver", null ],
        [ "Pardiso (MKL) Linear Solver", "OPTIONS.html#OPT_Pardiso__MKL__Linear_Solver", null ],
        [ "SPRAL Linear Solver", "OPTIONS.html#OPT_SPRAL_Linear_Solver", null ],
        [ "WSMP Linear Solver", "OPTIONS.html#OPT_WSMP_Linear_Solver", null ],
        [ "Mumps Linear Solver", "OPTIONS.html#OPT_Mumps_Linear_Solver", null ],
        [ "MA28 Linear Solver", "OPTIONS.html#OPT_MA28_Linear_Solver", null ]
      ] ]
    ] ],
    [ "Ipopt Output", "OUTPUT.html", null ],
    [ "Implementation Details", "IMPL.html", [
      [ "Triplet Format for Sparse Matrices", "IMPL.html#TRIPLET", null ],
      [ "The Smart Pointer Implementation: SmartPtr<T>", "IMPL.html#SMARTPTR", null ]
    ] ],
    [ "Frequenty Asked Questions", "FAQ.html", null ],
    [ "Authors and Contributors", "AUTHORS.html", null ],
    [ "License", "LICENSE.html", null ]
];